Bug 1573545 - cloned server keeps existing subnet TFTP capsule entries, causing confusion
Summary: cloned server keeps existing subnet TFTP capsule entries, causing confusion
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Satellite Clone
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: John Mitsch
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 16:23 UTC by Chris Duryee
Modified: 2019-12-03 12:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-03 12:54:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Chris Duryee 2018-05-01 16:23:24 UTC
Description of problem:

If you clone a Satellite and run katello-change-hostname to regenerate its certs, it may reach out to the old capsule when generating a bootdisk (example: "hammer bootdisk host --host host.example.com"). This results in the following error:

[app] [W] Failed to render boot disk template
 | RestClient::SSLCertificateNotVerified: SSL_connect returned=1 errno=0 state=error: certificate verify failed
 | /opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-1.8.0/lib/restclient/request.rb:445:in `rescue in transmit'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-1.8.0/lib/restclient/request.rb:349:in `transmit'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-1.8.0/lib/restclient/request.rb:176:in `execute'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-1.8.0/lib/restclient/request.rb:41:in `execute'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-1.8.0/lib/restclient/resource.rb:51:in `get'
 | /usr/share/foreman/lib/proxy_api/resource.rb:67:in `get'
 | /usr/share/foreman/lib/proxy_api/template.rb:10:in `template_url'
 | /usr/share/foreman/lib/foreman/foreman_url_renderer.rb:60:in `foreman_url_from_templates_proxy'
 | /usr/share/foreman/lib/foreman/foreman_url_renderer.rb:24:in `foreman_url'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_bootdisk-10.0.2.2/app/models/concerns/foreman_bootdisk/host_ext.rb:20:in `bootdisk_chain_url'


To fix the issue, you need to run "hammer host info --name <HOSTNAME>" and get its subnet, then run "hammer subnet info --name <SUBNET_NAME>" and check the TFTP field. This should point to a capsule that the cloned Satellite is able to talk to. If it does not, you need to update the subnet to use the correct server.

I don't know if this is something that the clone tool can check for, or if this bug can only be fixed via documentation of the error and solution.

Comment 2 Bryan Kearney 2019-11-04 14:34:20 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Red Hat Technical Support or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 3 Bryan Kearney 2019-12-03 12:54:01 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.


Note You need to log in before you can comment on or make changes to this bug.